//ngspice sample model

// go to ngspice directory
tmp_dir = pwd(); 
cd (model_dir + "/ngspice");

// prepare variables
spice_change_params = list(1);
spice_change_params(1) = ["R1 resistance"; "V1 pulse"];
spice_change_params(2) = [sprintf("%f", R1)];
spice_change_params(3) = ["0"; "10"; sprintf("%f", TD); "1ms"; 
    "1ms"; "5ms"; "100ms"; "100"];

change_spice_parameter("spice_command_file.cmd", spice_change_params)

// call ngspice model
call_ngspice("spice_netlist.cir", "spice_command_file.cmd");

// read results
results = read_spice_results("spice_results.data");

// assign results to MonteSci output variables
t = results(:,2);
v1 = results(:,3);
v2 = results(:,4);

// ngspice done, leave directory
cd(tmp_dir); 